- Main Page
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Classes | Typedefs
md5 Namespace Reference

A standalone implementation of the MD5 hashing algorithm. More...

## Classes
class | block
| A helper class used by the md5::digest implementation to represent a 64-character data block. More...
class | digest
| A class that calculates an md5 digest from one or more 64-byte blocks of data using the algorithm described by RFC 1321. More...
class | digest_stream
| A class that calculates an md5 digest from a data stream using the algorithm described by RFC 1321. More...
class | format
| A static string-formatting class for the output of md5::digest. More...

## Typedefs
typedef std::string | string_type
| A string type. More...
typedef std::string::size_type | size_type
| A std::size_t type. More...
typedef size_type | big_t
| To hold at least 32 bits, maybe more. Try unsigned long on small systems. More...
typedef size_type | small_t
| To hold at least a size_t. Must fit in a big_t. More...
typedef char | assert_big_t_is_big_enough[sizeof(big_t)>=4U?1:-1]
| A static assertion check. More...
typedef char | assert_small_t_is_big_enough[sizeof(small_t)>=sizeof(size_type)?1:-1]
| A static assertion check. More...

## Detailed Description

A standalone implementation of the MD5 hashing algorithm.

The md5 namespace is used for an implementation of the RFC 1321 MD5 algorithm that is independent of the rest of the E-MailRelay library code.

Key classes are:

- digest_stream
- digest

## Typedef Documentation

typedef char md5::assert_big_t_is_big_enough[sizeof(big_t)>=4U?1:-1]

A static assertion check.

Definition at line 46 of file md5.h.

typedef char md5::assert_small_t_is_big_enough[sizeof(small_t)>=sizeof(size_type)?1:-1]

A static assertion check.

Definition at line 47 of file md5.h.

typedef size_type md5::big_t

To hold at least 32 bits, maybe more. Try unsigned long on small systems.

Definition at line 44 of file md5.h.

typedef std::string::size_type md5::size_type

A std::size_t type.

Definition at line 43 of file md5.h.

typedef size_type md5::small_t

To hold at least a size_t. Must fit in a big_t.

Definition at line 45 of file md5.h.

typedef std::string md5::string_type

A string type.

Definition at line 42 of file md5.h.